rte_vhost_power_monitor_cond(3)

NAME
rte_vhost_power_monitor_cond

SYNOPSIS

#include <rte_vhost.h>

  Data Fields

volatile void * addr
uint64_t val
uint64_t mask
uint8_t size

Detailed Description

Power monitor condition.

Definition at line 314 of file rte_vhost.h.

Field Documentation

  volatile void* addr
< Address to monitor for changes If the mask is non-zero, location pointed to by addr will be read and masked, then compared with this value.

Definition at line 316 of file rte_vhost.h.

  uint64_t val
64-bit mask to extract value read from addr

Definition at line 321 of file rte_vhost.h.

  uint64_t mask
Data size (in bytes) that will be read from the monitored memory location (addr).

Definition at line 323 of file rte_vhost.h.

  uint8_t size
If 1, and masked value that read from 'addr' equals 'val', the driver should skip core sleep. If 0, and masked value that read from 'addr' does not equal 'val', the driver should skip core sleep.

Definition at line 327 of file rte_vhost.h.

Author

Generated automatically by Doxygen for DPDK from the source code.